#ifndef _MAINFORM_H_
#define _MAINFORM_H_

#include <FBase.h>
#include <FUi.h>
#include <FApp.h>
#include <FGraphics.h>
#include "shop.h"
#include "Node.h"

class NavigationForm :
	public Osp::Ui::Controls::Form,
	public Osp::Ui::IActionEventListener
{

// Construction
public:

	NavigationForm(void);
	virtual ~NavigationForm(void);
	bool Initialize(Osp::Base::String id);
	result OnDraw(void);
	void DrawData(void);
	void DrawNextData(void);
	void UpdateDataToIndex(const int position);
	shop* __pShop;
	Osp::App::Application* __pApplication;
	Osp::App::AppResource *__pAppResource;
	void ReloadData(shop* pShop);
	Osp::Graphics::Rectangle drawRect;
	Osp::Graphics::Canvas* pCanvas;
	int DrawX(int ShopX);
	int DrawY(int ShopY);

	Osp::Ui::Controls::Label* __pPositionLabel, *__pItemLabel, *__pDistLabel, *__pArrivalLabel;
	Osp::Ui::Controls::Progress* __pProgress;

	int position_index;

// Implementation
protected:

public:
	virtual result OnInitializing(void);
	virtual result OnTerminating(void);
	virtual void OnActionPerformed(const Osp::Ui::Control& source, int actionId);
};

#endif	//_NavigationForm_H_
