/*
 * PriorityQueue.h
 *
 *  Created on: 2011.04.06.
 *      Author: Imi
 */

#ifndef PRIORITYQUEUE_H_
#define PRIORITYQUEUE_H_

#include<FBase.h>
#include"Node.h"

using namespace Osp::Base;
using namespace Osp::Base::Collection;

class NodePriorityQueue {
private:
	LinkedList* list;
	Integer target;
	HashMap* Nodes;


public:
	NodePriorityQueue(const Integer destination, HashMap* NodeAttribs);
	virtual ~NodePriorityQueue();

	result Enqueue(const Integer node);
	Integer Dequeue(void);
	int GetManhattanDistance(const Node *node1, const Node *node2);
	bool IsEmpty(void);
};

#endif /* PRIORITYQUEUE_H_ */
